%define pkg_name        Mail-Graph
%define pkg_version     0.14
%define rpm_pkg_version 0.14
%define rpm_pkg_release 2.n0i.2

Summary:       Draw graphical stats for mails/spams
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/T/TE/TELS/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Compress::Zlib) >= 1.32
BuildRequires: perl(Date::Calc) >= 5
BuildRequires: perl(GD) >= 1.38
BuildRequires: perl(GD::Graph) >= 1.33
BuildRequires: perl(GD::Text) >= 0.82
BuildRequires: perl(Math::BigInt) >= 1.68
BuildRequires: perl(Time::HiRes) >= 1.2


%description
This module parses mailbox files in either compressed or uncompressed form
and then generates pretty statistics and graphs about them. Although at
first developed to do spam statistics, it works just fine for normal mail.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
%{fix_mod}
%{fix_perl_path samples/}


%build
%{perl_build}
%{!?_without_test:%{__make} test}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc BUGS CHANGES CREDITS LICENSE NEW README TODO
%doc samples/sample.pl samples/index.tpl samples/output/spam.css

%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.14-2.n0i.2
- spec file (re)created using N0i::CPAN::RPMizer v1.14.7
- rebuild on perl 5.8.8

* Thu Aug 04 2005 Marius Feraru <altblue@n0i.net> 0.14-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
